import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeregisterMailDomainCommand, se_DeregisterMailDomainCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DeregisterMailDomainCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "DeregisterMailDomain", {})
    .n("WorkMailClient", "DeregisterMailDomainCommand")
    .f(void 0, void 0)
    .ser(se_DeregisterMailDomainCommand)
    .de(de_DeregisterMailDomainCommand)
    .build() {
}
